Skip to main content
POST
Create new customer

Authorizations

Authorization
string
header
required

Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.

Path Parameters

tenantId
string<uuid>
required

Id of the tenant the case is being created for

Query Parameters

creditorId
string
required

Creditor id that the customer is related to

Body

application/json

New customer object

isCompany
boolean
required

Is the customer a company

referenceId
string
required

Creditors' reference id for the customer

users
object[]
required
properties
object

Optional customer properties keyed by handle. The property types must already be configured for customers by the tenant. Customer properties are not scoped to case groups and are shared across all cases on the customer. Values must match each configured type.

Example:

Response

Successful operation

customerId
string<uuid>
required

Id of the customer